package com.pj.project.tb_pay_record;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.pj.utils.sg.*;

/**
 * Service: tb_pay_record -- 支付记录
 * @author qzy 
 */
@Service
public class TbPayRecordService extends ServiceImpl<TbPayRecordMapper,TbPayRecord> implements IService<TbPayRecord> {

	/** 底层 Mapper 对象 */
	@Autowired
	TbPayRecordMapper tbPayRecordMapper;

	/** 增 */
	int add(TbPayRecord t){
		return tbPayRecordMapper.add(t);
	}

	/** 删 */
	int delete(Long id){
		return tbPayRecordMapper.delete(id);
	}

	/** 改 */
	int update(TbPayRecord t){
		return tbPayRecordMapper.update(t);
	}

	/** 查 */
	TbPayRecord getById(Long id){
		return tbPayRecordMapper.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<TbPayRecord> getList(SoMap so) {
		return tbPayRecordMapper.getList(so);	
	}
	

}
